parameters:
    pim_datagrid.extension.mass_action.handler.webkul_prestashop_export_mapping_delete.class: Webkul\PrestashopConnectorBundle\Extension\MassAction\Handler\DeletePrestashopExportMappingsMassActionHandler
    wk_prestashop.extension.mass_action.type.delete.class: Webkul\PrestashopConnectorBundle\Extension\MassAction\Handler\Akeneo4\DeleteMassAction
    wk_prestashop.export_mapping.controller.mass_action.class: Webkul\PrestashopConnectorBundle\Extension\MassAction\Handler\Akeneo4\MassActionController
services:

    pim_datagrid.extension.mass_action.type.webkul_prestashop_connector_export_mapping_mass_delete:
        public: true
        class: '%wk_prestashop.extension.mass_action.type.delete.class%'
        shared: false
        tags:
            - { name: oro_datagrid.extension.mass_action.type, type: wk_presta_export_mapping_delete }

    wk_prestashop.export_mapping.controller.mass_action:
        public: true
        class: '%wk_prestashop.export_mapping.controller.mass_action.class%'
        arguments:
            - '@pim_datagrid.extension.mass_action.dispatcher'
            - '@oro_datagrid.mass_action.parameters_parser'

    wk_prestashop_pim_enrich.controller.rest.mass_delete:
        public: true
        class: 'Webkul\PrestashopConnectorBundle\Extension\MassAction\Handler\Akeneo4\MassDeleteController'
        arguments:
            - '@webkul_prestashop_connector.repository.export_mapping'
            - '@doctrine.orm.entity_manager'
